| MESH toolbox 0.1 Matlab/Octave mesh utils

- Main Page
- Related Pages
- Modules
- Files

- File List
- File Members

All Files Functions Groups Pages
Functions
LoM_demo1.m File Reference

demo function using plot commands on List of Meshes. Before first use, generate FreeFEM++ meshes : in `mesh` directory More...

Go to the source code of this file.

## Functions
function | LoM_demo1 (varargin)
| demo function using plot commands on List of Meshes. Before first use, generate FreeFEM++ meshes : in `mesh` directory

## Detailed Description

demo function using plot commands on List of Meshes. Before first use, generate FreeFEM++ meshes : in `mesh` directory

- under Matlab

      !make Ring3x3_C

- under Linux shell

      make Ring3x3_C

Definition in file LoM_demo1.m.

## Function Documentation

function LoM_demo1 | ( |  | varargin | ) |

demo function using plot commands on List of Meshes. Before first use, generate FreeFEM++ meshes : in `mesh` directory

- under Matlab

      !make Ring3x3_C

- under Linux shell

      make Ring3x3_C

See Also
  FreeFEM++ edp files and Makefile in `mesh` directory

Examples

  -         LoM_demo1()

    figure : LoM_demo1() meshes plot
    figure : LoM_demo1() boundaries plot

  -         LoM_demo1('basename','RectTroue12_C','labeldom',0:11,'refine',randi(5,1,12))

    figure : 'RectTroue12_C' meshes plot
    figure : 'RectTroue12_C' boundaries plot

  -         LoM_demo1('basename','RectTroue12_NC','labeldom',0:11,'refine',randi(5,1,12))

    figure : 'RectTroue12_NC' meshes plot
    figure : 'RectTroue12_NC' boundaries plot

Parameters

  varargin | LoM_demo1 ( [ "save", save_value ] [, "percent", percent_value ] [, "basename", basename_value ] [, "labeldom", labeldom_value ] [, "refine", refine_value ] ) Named Parameters for varargin: save set to true to save figures in image directory. ( Default: `false` ) percent set png image resize percent ( Default: `50` ) basename set basename mesh fileses ( Default: ``Ring3x3_C`` ) labeldom list of label domains ( Default: `0:8` ) refine indice of refinement ( Default: `2` )

Definition at line 17 of file LoM_demo1.m.